Skip to main content
DELETE
/
project-permissions
/
{user_id}
/
{permission_id}
Revoke a global permission from a user
curl --request DELETE \
  --url https://api.stack-auth.com/api/v1/project-permissions/{user_id}/{permission_id}
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://stackauth-e0affa27-chore-move-mcp-to-a-sep-app.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

user_id
string
required

The ID of the user, or the special value me for the currently authenticated user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"

permission_id
string
required

The permission ID used to uniquely identify a permission. Can either be a custom permission with lowercase letters, numbers, :, and _ characters, or one of the system permissions: $update_team, $delete_team, $read_members, $remove_members, $invite_members, $manage_api_keys

Example:

"read_secret_info"

Response

200 - application/json

Successful response

success
boolean
required

Always equal to true.

Example:

true